Page 2 of 2 FirstFirst 12
Results 11 to 19 of 19

Thread: VirutalBox error - Kernel driver not installed (rc=-1908)

  1. #11
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,072

    Default AW: VirutalBox error - Kernel driver not installed (rc=-1908)

    Linux linux-stz5.site 4.7.0-4.g89a2ada-default #1 SMP PREEMPT Mon Jul 25 08:42:47 UTC
    2016 (89a2ada) x86_64 x86_64 x86_64 GNU/Linux
    2 possible Solutions:
    1. Delete the kernel, delete the kernel:stable Repo and install the latest kernel from Update Repo, also delete all with virtualbox-guest in the name and virtualbox should work.

    2. Delete all with virtualbox in the name, add the Virtualbox Repo from Oracle and install VirtualBox 5.1
    http://download.virtualbox.org/virtu...opensuse/42.1/
    It is the URL for Leap but it will work also with Kernel from kernel:stable.

  2. #12
    Join Date
    Oct 2014
    Location
    Italy
    Posts
    1,674

    Default Re: AW: VirutalBox error - Kernel driver not installed (rc=-1908)

    You cannot run virtualbox with virtualbox-host-kmp-default 5.0.24_k4.1.27_27-25.1 on kernel-default 4.7.0-4.g89a2ada-default as the version number don't match.
    So you have 3 choices:
    1) boot kernel 4.1.27_27 when you plan on using virtualbox;
    2) install matching 4.7 kernel-devel and kernel-default-devel, virtualbox-host-source, gcc, make, maybe other development stuff and build the needed kernel modules yourself.
    3) install VirtualBox-5.0 from Oracle as suggested by sauerland.
    Main: Leap 15 Gnome on i7 4720HQ + Geforce GTX960M
    Test: Leap 42.3 (& others) on Core2Duo + GM965

  3. #13

    Default Re: AW: VirutalBox error - Kernel driver not installed (rc=-1908)

    Quote Originally Posted by OrsoBruno View Post
    You cannot run virtualbox with virtualbox-host-kmp-default 5.0.24_k4.1.27_27-25.1 on kernel-default 4.7.0-4.g89a2ada-default as the version number don't match.
    So you have 3 choices:
    1) boot kernel 4.1.27_27 when you plan on using virtualbox;
    2) install matching 4.7 kernel-devel and kernel-default-devel, virtualbox-host-source, gcc, make, maybe other development stuff and build the needed kernel modules yourself.
    3) install VirtualBox-5.0 from Oracle as suggested by sauerland.
    Quote Originally Posted by Sauerland View Post
    2 possible Solutions:
    1. Delete the kernel, delete the kernel:stable Repo and install the latest kernel from Update Repo, also delete all with virtualbox-guest in the name and virtualbox should work.

    2. Delete all with virtualbox in the name, add the Virtualbox Repo from Oracle and install VirtualBox 5.1
    http://download.virtualbox.org/virtu...opensuse/42.1/
    It is the URL for Leap but it will work also with Kernel from kernel:stable.
    Rebooting into kernel 4.1.27_27 anytime I would like to use VM seems impossible for me. I have removed all virtualbox packages using Yast2. I have downloaded VirtualBox 5.1 rpm. I have deleted the kernel:stable repo. Now how do I delete kernel? Furthermore, I still see the Oracle VirtualBox icon and on clicking it I get
    Code:
    Unable to make the service Oracle VM VirtualBox executable, aborting execution
    . Are there any other files associated with virtualbox that I should delete before installing the new verson?

  4. #14

    Default Re: AW: VirutalBox error - Kernel driver not installed (rc=-1908)

    Quote Originally Posted by Sauerland View Post
    2 possible Solutions:
    1. Delete the kernel, delete the kernel:stable Repo and install the latest kernel from Update Repo, also delete all with virtualbox-guest in the name and virtualbox should work.

    2. Delete all with virtualbox in the name, add the Virtualbox Repo from Oracle and install VirtualBox 5.1
    http://download.virtualbox.org/virtu...opensuse/42.1/
    It is the URL for Leap but it will work also with Kernel from kernel:stable.
    Quote Originally Posted by OrsoBruno View Post
    You cannot run virtualbox with virtualbox-host-kmp-default 5.0.24_k4.1.27_27-25.1 on kernel-default 4.7.0-4.g89a2ada-default as the version number don't match.
    So you have 3 choices:
    1) boot kernel 4.1.27_27 when you plan on using virtualbox;
    2) install matching 4.7 kernel-devel and kernel-default-devel, virtualbox-host-source, gcc, make, maybe other development stuff and build the needed kernel modules yourself.
    3) install VirtualBox-5.0 from Oracle as suggested by sauerland.
    Just installed virtualbox 5.1 but on trying to start my VMs i get
    Code:
    RTR3InitEx failed with rc=-1912 (rc=-1912)
    The VirtualBox kernel modules do not match this version of VirtualBox. The installation of VirtualBox was apparently not successful. Executing
    
    '/sbin/vboxconfig'
    
    may correct this. Make sure that you do not mix the OSE version and the PUEL version of VirtualBox.
    
    where: supR3HardenedMainInitRuntime what: 4 VERR_VM_DRIVER_VERSION_MISMATCH (-1912) - The installed support driver doesn't match the version of the user.
    I feel there are configurations or something else I should delete
    on running
    Code:
    /sbin/vboxconfig
    I get
    Code:
    vboxdrv.sh: Starting VirtualBox services.
    
    But on opening the VM i still get the earlier error

  5. #15
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,072

    Default AW: VirutalBox error - Kernel driver not installed (rc=-1908)

    You have a mismatch between virtualbox from openSUSE and VirtualBox5.1 from Oracle.

    You have not read my possible Solution carefully.

    Post:
    Code:
    zypper se -si kernel virtualbox

  6. #16

    Default Re: AW: VirutalBox error - Kernel driver not installed (rc=-1908)

    Quote Originally Posted by Sauerland View Post
    You have a mismatch between virtualbox from openSUSE and VirtualBox5.1 from Oracle.

    You have not read my possible Solution carefully.

    Post:
    Code:
    zypper se -si kernel virtualbox
    Output
    Code:
    Loading repository data...                                                                                                                                                                       
    Reading installed packages...                                                                                                                                                                    
                                                                                                                                                                                                     
    S | Name                 | Type    | Version                    | Arch   | Repository                                                                                                            
    --+----------------------+---------+----------------------------+--------+---------------------                                                                                                  
    i | VirtualBox-5.1       | package | 5.1.2_108956_openSUSE132-1 | i586   | (System Packages)                                                                                                     
    i | kernel-default       | package | 4.7.0-4.1.g89a2ada         | x86_64 | (System Packages)                                                                                                     
    i | kernel-default       | package | 4.1.27-27.1                | x86_64 | openSUSE-42.1-Update                                                                                                  
    i | kernel-default-devel | package | 4.7.0-4.1.g89a2ada         | x86_64 | (System Packages)                                                                                                     
    i | kernel-default-devel | package | 4.1.27-27.1                | x86_64 | openSUSE-42.1-Update                                                                                                  
    i | kernel-devel         | package | 4.7.0-4.1.g89a2ada         | noarch | (System Packages)                                                                                                     
    i | kernel-devel         | package | 4.1.27-27.1                | noarch | openSUSE-42.1-Update                                                                                                  
    i | kernel-firmware      | package | 20160503-3.1               | noarch | openSUSE-42.1-Update                                                                                                  
    i | kernel-macros        | package | 4.1.27-27.1                | noarch | openSUSE-42.1-Update                                                                                                  
    i | kernel-source        | package | 4.7.0-4.1.g89a2ada         | noarch | (System Packages)                                                                                                     
    i | kernel-source        | package | 4.1.27-27.1                | noarch | openSUSE-42.1-Update
    

  7. #17

    Default Re: AW: VirutalBox error - Kernel driver not installed (rc=-1908)

    Quote Originally Posted by Sauerland View Post
    2 possible Solutions:
    1. Delete the kernel, delete the kernel:stable Repo and install the latest kernel from Update Repo, also delete all with virtualbox-guest in the name and virtualbox should work.

    2. Delete all with virtualbox in the name, add the Virtualbox Repo from Oracle and install VirtualBox 5.1
    http://download.virtualbox.org/virtu...opensuse/42.1/
    It is the URL for Leap but it will work also with Kernel from kernel:stable.
    I chose option 2 and it worked! My VM is up and running.
    However, since you mentioned a problem with the kernel from kernel:stable, how can I change the kernel back to the one in the OpenSUSE update repo and be updating from there?

  8. #18
    Join Date
    Oct 2014
    Location
    Italy
    Posts
    1,674

    Default Re: AW: VirutalBox error - Kernel driver not installed (rc=-1908)

    Quote Originally Posted by giantas View Post
    I chose option 2 and it worked! My VM is up and running.
    However, since you mentioned a problem with the kernel from kernel:stable, how can I change the kernel back to the one in the OpenSUSE update repo and be updating from there?
    Assuming that your VM is "up and running" while using the 4.1.27 kernel from the update repo (your last few posts are not really clear to me), simply issue:
    Code:
    zypper remove -D -C 'kernel-default=4.7.0-4'
    This is a dry run command (-D) just to be safe.
    If the system replies, as it should, with:
    Code:
    The following package is going to be REMOVED:
      kernel-default-4.7.0-4.1.g89a2ada
    you can continue with the "really remove" command as:
    Code:
    zypper remove -C 'kernel-default=4.7.0-4'
    and the suspect kernel will be removed.
    A similar procedure exist in Yast - Software, but I'm not sure that the version removal really works as intended and I'm not willing to risk thrashing the "good" kernel version.
    Afterwards, the system should update from the "Update" repo since you apparently already disabled the "Kernel:stable" repo.
    Main: Leap 15 Gnome on i7 4720HQ + Geforce GTX960M
    Test: Leap 42.3 (& others) on Core2Duo + GM965

  9. #19

    Default Re: AW: VirutalBox error - Kernel driver not installed (rc=-1908)

    Quote Originally Posted by OrsoBruno View Post
    Assuming that your VM is "up and running" while using the 4.1.27 kernel from the update repo (your last few posts are not really clear to me), simply issue:
    Code:
    zypper remove -D -C 'kernel-default=4.7.0-4'
    This is a dry run command (-D) just to be safe.
    If the system replies, as it should, with:
    Code:
    The following package is going to be REMOVED:
      kernel-default-4.7.0-4.1.g89a2ada
    you can continue with the "really remove" command as:
    Code:
    zypper remove -C 'kernel-default=4.7.0-4'
    and the suspect kernel will be removed.
    A similar procedure exist in Yast - Software, but I'm not sure that the version removal really works as intended and I'm not willing to risk thrashing the "good" kernel version.
    Afterwards, the system should update from the "Update" repo since you apparently already disabled the "Kernel:stable" repo.
    I think i should inform you that I tried removing kernel from Yast and, when I reboot, the first two options in the OpenSUSE grub were gone. Thank God for snapshots - I just rolled back into one
    Either way, I'll try that on an OpenSUSE VM (since mine is working well) and get back to you.
    Lots of thanks. (same goes to Sauerland)

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •